#!/usr/bin/perl -w

#
# fadetest.pl
#
#

use Tess;

foo ();

sub foo
{
    $timesb12 = new TessType ("timesb.ttf", 12, 96, 96);

    if (not $timesb12->is_valid ()) {
	print STDERR "hmm.  fonts in the right place?\n";
	exit (1);
    }

    #
    # a faded top surface and an unfaded string
    #

    $top = new TessSurface (270, 50);

    $width = 0; $height = 0;
    $top->get_size (\$width, \$height);
    
    $top->set_draw_color (255, 0, 0);
    $top->draw_filled_rect (10, 10, $width - 20, $height - 20);
    $top->fade (50, 0, 0, $width, $height);

    $top->set_draw_color (255, 255, 255);
    $top->set_type ($timesb12);
    $top->set_type_alignment ($TessSurface::Center);
    $timesb12->set_spacing (8);
    $top->draw_string ($width / 2, 30, "quick brown fox.");

    #
    # lines underneath
    #

    $bottom = new TessSurface ($width, $height);
    
    $bottom->set_draw_color (0, 255, 0);

    for ($x = -10; $x < $width; $x += 20) {
	$bottom->draw_line ($x, 49, $x + 20, 0);
    }

    #
    # merge the two surfaces
    #

    $stack = new TessStack ();

    $stack->add_surface ($bottom, 0, 0);
    $stack->add_surface ($top,    0, 0);

    $final = $stack->make_composite ();
    $final->flatten (255, 255, 255);
    $final->write (new TessPPMWriter ("output/fadetest.pl.ppm"));
}
