//
// stacktest.cc
//
//

#include "tess.hh"

void main (int argc, char ** argv)
{
    TessSurface    * top, * bottom, * final;
    TessType       * georgia35;
    TessStack      * stack;
    TessPPMReader  * reader;
    TessPPMWriter  * writer;
    int              width, height;


    reader = new TessPPMReader ("images/stackbg.ppm");
    bottom = new TessSurface (reader);
    delete reader;

    georgia35 = new TessType ("georgia.ttf", 35, 96, 96);

    if (! georgia35->is_valid ()) {
	fprintf (stderr, "hmm.  fonts in the right place?\n");
	exit (1);
    }

    top = new TessSurface (35, 40);
    top->set_type (georgia35);
    top->set_draw_color (209, 15, 15);
    top->draw_string (0, 40, "A");

    stack = new TessStack ();
    stack->add_surface (bottom,  0, 0);
    stack->add_surface (top,    10, 2);
    
    writer = new TessPPMWriter ("output/stacktest.ppm");

    final = stack->make_composite ();

    final->get_size (width, height);
    //final->blur (atoi (argv [1]), 0, 0, width, height);
    final->write (writer);
}
