#!/usr/bin/perl

#
# stacktest.pl
#
#

use Tess;

foo ();

sub foo
{
    $bottom = TessSurface->new_TessSurface_reader
	(new TessPPMReader ("images/stackbg.ppm"));

    $georgia35 = new TessType ("georgia.ttf", 35, 96, 96);

    if (not $georgia35->is_valid ()) {
	print STDERR "hmm.  fonts in the right place?\n";
	exit (1);
    }

    $top = new TessSurface (35, 40);
    $top->set_type ($georgia35);
    $top->set_draw_color (209, 15, 15);
    $top->draw_string (0, 40, "A");

    $stack = new TessStack ();
    $stack->add_surface ($bottom,  0, 0);
    $stack->add_surface ($top,    10, 2);
    
    $final = $stack->make_composite ();
    $final->write (new TessPPMWriter ("output/stacktest.pl.ppm"));
}
